﻿@model RegisterViewModel
@{
    ViewData["Title"] = "RegisterManager";
    Layout = null;

}

<div class="row" style="margin-left:32%">
    <div class="col-md-6 col-xs-6">
        <section>
            <form asp-route-returnUrl="@ViewData["ReturnUrl"]" method="post">
                <h3 style="text-align:center">Create a new account</h3>
                <div asp-validation-summary="All" class="text-danger"></div>
                <div class="form-group">
                    <label asp-for="Email"></label>
                    <input asp-for="Email" class="form-control" />
                    <span asp-validation-for="Email" class="text-danger"></span>
                </div>
                <div class="form-group">
                    <label asp-for="Password"></label>
                    <input asp-for="Password" class="form-control" />
                    <span asp-validation-for="Password" class="text-danger"></span>
                </div>
                <div class="form-group">
                    <label asp-for="ConfirmPassword"></label>
                    <input asp-for="ConfirmPassword" class="form-control" />
                    <span asp-validation-for="ConfirmPassword" class="text-danger"></span>
                </div>
                <span>
                    <button asp-controller="Account" asp-action="RegisterManager" type="submit" class="btn btn-success">
                        Register Manager
                    </button>
                </span>
                <span>
                    <button asp-controller="Account" asp-action="RegisterOperator" type="submit" class="btn btn-success">
                        Register Operator
                    </button>
                </span>
            </form>
        </section>
    </div>
</div>

@section Scripts {
    @await Html.PartialAsync("_ValidationScriptsPartial")
}

<link href="~/css/site.css" rel="stylesheet" />
<script src="~/js/site.js"></script>
<link href="~/lib/bootstrap/dist/css/bootstrap.css" rel="stylesheet" />

